
/* Common Open Systems Environment, Common Graphics Environment	 */		
/* Extension to	PEX 5.1	version	2.  File date: February	10, 1994 */		

/******************************************************************************/
/*  (c)	Copyright Hewlett-Packard Company, 1993,  Fort Collins,	Colorado      */
/*									      */
/*  (C)	COPYRIGHT International	Business Machines Corp.	1993		      */
/*									      */
/*   Copyright (c) 1993	by Sun Microsystems, Inc.			      */
/*									      */
/*			      All Rights Reserved			      */
/*									      */
/*  Permission to use, copy, modify, and distribute this software and its     */
/*  documentation for any purpose and without fee is hereby granted,	      */
/*  provided that the above copyright notices appear in	all copies and that   */
/*  both the copyright notices and this	permission notice appear in	      */
/*  supporting documentation, and that the names of Hewlett-Packard,	      */
/*  International Business Machines, or	Sun Microsystems not be	used in	      */
/*  advertising	or publicity pertaining	to distribution	of the software	      */
/*  without specific, written prior permission.				      */
/*									      */
/*  HEWLETT-PACKARD MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS	      */
/*  SOFTWARE, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF	      */
/*  MERCHANTABILITY AND	FITNESS	FOR A PARTICULAR PURPOSE.  Hewlett-Packard    */
/*  shall not be liable	for errors contained herein or direct, indirect,      */
/*  special, incidental	or consequential damages in connection with the	      */
/*  furnishing,	performance or use of this software.			      */
/*									      */
/*  INTERNATIONAL BUSINESS MACHINES CORPORATION	PROVIDES THIS MATERIAL	      */
/*  "AS	IS" WITHOUT WARRANTY OF	ANY KIND, EITHER EXPRESSED OR IMPLIED,	      */
/*  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY  */
/*  AND	FITNESS	FOR A PARTICULAR PURPOSE.				      */
/*									      */
/*  SUN	MICROSYSTEMS, INC. DISCLAIMS ALL WARRANTIES WITH REGARD	TO THIS	      */
/*  SOFTWARE, INCLUDING	ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS,*/
/*  IN NO EVENT	SHALL SUN MICROSYSTEMS,	INC. BE	LIABLE FOR ANY SPECIAL,	      */
/*  INDIRECT OR	CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER	RESULTING     */
/*  FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,      */
/*  NEGLIGENCE OR OTHER	TORTIOUS ACTION, ARISING OUT OF	OR IN CONNECTION      */
/*  WITH THE USE OR PERFORMANCE	OF THIS	SOFTWARE.			      */
/*									      */
/******************************************************************************/

 /* =======================================================================
  * NOTE NOTE NOTE  Insert this	section
  *		    at the end of pl_global_def.h file
  * ====================================================================='=
  */
/***** Start of	Ext section ************/

/*
 * Ext Encode OC function table.
 */
extern void _PEXExtEncodeEnumType();
extern void _PEXExtEncodeTMResourceHints();
extern void _PEXExtEncodeActiveTextures();
extern void _PEXExtEncodeFillAreaSetWithData();
extern void _PEXExtEncodeSOFA();
extern void _PEXExtEncodeTriangleStrip();
extern void _PEXExtEncodeQuadMesh();
extern void _PEXExtEncodePrimitiveAA();
extern void _PEXExtEncodeEllipse();
extern void _PEXExtEncodeEllipse2D();
extern void _PEXExtEncodeCircle2D();
extern void _PEXExtEncodeEllipticalArc();
extern void _PEXExtEncodeEllipticalArc2D();
extern void _PEXExtEncodeCircularArc2D();		

void (*(PEXExt_encode_oc_funcs[]))() = {
_PEXExtEncodeEnumType,		   /* ExtSetTMPerspectiveCorrection   0	*/
_PEXExtEncodeEnumType,		   /* ExtSetTMSampleFrequency	      1	*/
_PEXExtEncodeTMResourceHints,	   /* ExtSetTMResourceHints	      2	*/
_PEXExtEncodeActiveTextures,	   /* ExtSetActiveTextures	      3	*/
_PEXExtEncodeActiveTextures,	   /* ExtSetBFActiveTextures	      4	*/
_PEXExtEncodeFillAreaSetWithData,  /* ExtFillAreaSetWithData	      5	*/
_PEXExtEncodeSOFA,		   /* ExtSetOfFillAreaSets	      6	*/
_PEXExtEncodeTriangleStrip,	   /* ExtTriangleStrip		      7	*/
_PEXExtEncodeQuadMesh,		   /* ExtQuadrilateralMesh	      8	*/
_PEXExtEncodePrimitiveAA,	   /* ExtSetPrimitiveAA		      9	*/
_PEXExtEncodeEnumType,		   /* ExtSetLineCapStyle	     10	*/
_PEXExtEncodeEnumType,		   /* ExtSetLineJoinStyle	     11	*/
_PEXExtEncodeEllipse,		   /* ExtEllipse		     12	*/
_PEXExtEncodeEllipse2D,		   /* ExtEllipse2D		     13	*/
_PEXExtEncodeCircle2D,		   /* ExtCircle2D		     14	*/
_PEXExtEncodeEllipticalArc,	   /* ExtEllipticalArc		     15	*/
_PEXExtEncodeEllipticalArc2D,	   /* ExtEllipticalArc2D	     16	*/
_PEXExtEncodeCircularArc2D	   /* ExtCircularArc2D		     17	*/	  
};


/*
 * Ext Decode OC function table.
 */

extern void _PEXExtDecodeEnumType();
extern void _PEXExtDecodeTMResourceHints();
extern void _PEXExtDecodeActiveTextures();
extern void _PEXExtDecodeFillAreaSetWithData();
extern void _PEXExtDecodeSOFA();
extern void _PEXExtDecodeTriangleStrip();
extern void _PEXExtDecodeQuadMesh();
extern void _PEXExtDecodePrimitiveAA();
extern void _PEXExtDecodeEllipse();
extern void _PEXExtDecodeEllipse2D();
extern void _PEXExtDecodeCircle2D();
extern void _PEXExtDecodeEllipticalArc();
extern void _PEXExtDecodeEllipticalArc2D();
extern void _PEXExtDecodeCircularArc2D();
					  

void (*(PEXExt_decode_oc_funcs[]))() = {
_PEXExtDecodeEnumType,		   /*  ExtSetTMPerspectiveCorrection  0	*/
_PEXExtDecodeEnumType,		   /*  ExtSetTMSampleFrequency	      1	*/
_PEXExtDecodeTMResourceHints,	   /*  ExtSetTMResourceHints	      2	*/
_PEXExtDecodeActiveTextures,	   /*  ExtSetActiveTextures	      3	*/
_PEXExtDecodeActiveTextures,	   /*  ExtSetBFActiveTextures	      4	*/
_PEXExtDecodeFillAreaSetWithData,  /*  ExtFillAreaSetWithData	      5	*/
_PEXExtDecodeSOFA,		   /*  ExtSetOfFillAreaSets	      6	*/
_PEXExtDecodeTriangleStrip,	   /*  ExtTriangleStrip		      7	*/
_PEXExtDecodeQuadMesh,		   /*  ExtQuadrilateralMesh	      8	*/
_PEXExtDecodePrimitiveAA,	   /*  ExtSetPrimitiveAA	      9	*/
_PEXExtDecodeEnumType,		   /*  ExtSetLineCapStyle	     10	*/
_PEXExtDecodeEnumType,		   /*  ExtSetLineJoinStyle	     11	*/
_PEXExtDecodeEllipse,		   /*  ExtEllipse		     12	*/
_PEXExtDecodeEllipse2D,		   /*  ExtEllipse2D		     13	*/
_PEXExtDecodeCircle2D,		   /*  ExtCircle2D		     14	*/
_PEXExtDecodeEllipticalArc,	   /*  ExtEllipticalArc		     15	*/
_PEXExtDecodeEllipticalArc2D,	   /*  ExtEllipticalArc2D	     16	*/
_PEXExtDecodeCircularArc2D	   /*  ExtCircularArc2D		     17	*/	  
};
/***** End of Ext section ************/
